Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.editor
Class AbleGuiPreferences

    java.lang.Object
      com.ibm.able.editor.AbleGuiPreferences

public class AbleGuiPreferences
extends java.lang.Object

This class contains preferences for the Able GUI components.

     #----------------------------------------------------
     # AbleJarFiles provides a way for you to place your
     # own Able agents and Able beans into the AbleEditor
     # environment.  Any Able objects that you have
     # written and placed into a JAR file can be made
     # available to the AbleEditor by simply adding the
     # name of the JAR file to the AbleJarFiles list.
     # Note that the JAR file must contain a manifest that
     # identifies which JAR files are beans.  See
     # PlugInJarDirectory also.
     #
     # Examples:
     #
     #   AbleJarFiles=C:\\beans\\hisBeans.jar;D:\\agents\\herAgents.jar;E:\\myAbleStuff.jar
     #   AbleJarFiles=/beans/hisBeans.jar;/agents/herAgents.jar;/myAbleStuff.jar
     #
     #----------------------------------------------------
     AbleJarFiles=

     #----------------------------------------------------
     # PlugInJarDirectory provides a way for you to place your
     # own Able agents and Able beans into the AbleEditor
     # environment.  Any Able objects that you have
     # written and placed into a JAR file can be made
     # available to the AbleEditor by simply adding a
     # directory path to the PlugInJarDirectory.  All beans
     # from all JAR files in this directory will be added.
     # Note that JAR files must contain a manifest that
     # identifies which JAR files are beans.  See
     # AbleJarFiles also.
     #
     # Examples:
     #
     #   PlugInJarDirectory=C:\\beans
     #   PlugInJarDirectory=/beans
     #
     #----------------------------------------------------
     PlugInJarDirectory=

     #----------------------------------------------------
     # DatabaseDrivers is a space-delimited list of classes
     # specifying SQL database drivers which appear for
     # selection in the AbleDBImport properties Import tab
     # Driver combobox.
     #
     # Example:
     #
     # DatabaseDrivers = COM.ibm.db2.jdbc.app.DB2Driver
     #
     #----------------------------------------------------
     DatabaseDrivers =

     #----------------------------------------------------
     # DatabaseProtocols is a space-delimited list of protocols
     # for creating SQL database connections.  The list will
     # appear in the AbleDBImport properties Import tab
     # Protocol combobox.
     #
     # Example:
     #
     # DatabaseProtocols = jdbc
     #
     #----------------------------------------------------
     DatabaseProtocols =

     #----------------------------------------------------
     # DatabaseSubprotocols is a space-delimited list of subprotocols
     # for creating SQL database connections.  The list will
     # appear in the AbleDBImport properties Import tab
     # Subprotocol combobox.
     #
     # Example:
     #
     # DatabaseSubprotocols = db2 as400
     #
     #----------------------------------------------------
     DatabaseSubprotocols =

     #----------------------------------------------------
     # DatabaseDatabases is a space-delimited list of names
     # of databases for creating SQL database connections.
     # The list will
     # appear in the AbleDBImport properties Import tab
     # Database combobox.
     #
     # Example:
     #
     # DatabaseDatabases = Sample //Server//database
     #
     #----------------------------------------------------
     DatabaseDatabases =

Constructor Summary
`AbleGuiPreferences()` Instantiate all preferences from a Properties file read from disk.

Method Summary
`java.lang.String` | `cvtConnectionsView()`
`java.lang.String` | `cvtEditorExceptionPanelLocation()`
`java.lang.String` | `cvtEditorExceptionPanelSize()`
`java.lang.String` | `cvtEditorExitPrompt()`
`java.lang.String` | `cvtEditorPanelBackground()`
`java.lang.String` | `cvtEditorPanelDividerLocation()`
`java.lang.String` | `cvtEditorPanelFont()`
`java.lang.String` | `cvtEditorPanelForeground()`
`java.lang.String` | `cvtEditorPanelLocation()`
`java.lang.String` | `cvtEditorPanelSize()`
`java.lang.String` | `cvtInspectorPanelLocation()`
`java.lang.String` | `cvtInspectorPanelSize()`
`java.lang.String` | `cvtPlugInJarOn()`
`java.lang.String` | `cvtRuleDebuggerPanelDividerLocation()`
`java.lang.String` | `cvtRuleDebuggerPanelHorizontal()`
`java.lang.String` | `cvtRuleDebuggerPanelLocation()`
`java.lang.String` | `cvtRuleDebuggerPanelSize()`
`java.lang.String` | `cvtRuleEditorExceptionPanelBackground()`
`java.lang.String` | `cvtRuleEditorExceptionPanelFont()`
`java.lang.String` | `cvtRuleEditorExceptionPanelForeground()`
`java.lang.String` | `cvtRuleEditorHelpPanelBackground()`
`java.lang.String` | `cvtRuleEditorHelpPanelForeground()`
`java.lang.String` | `cvtRuleEditorHelpPanelLocation()`
`java.lang.String` | `cvtRuleEditorHelpPanelSize()`
`java.lang.String` | `cvtRuleEditorOutputPanelBackground()`
`java.lang.String` | `cvtRuleEditorOutputPanelFont()`
`java.lang.String` | `cvtRuleEditorOutputPanelForeground()`
`java.lang.String` | `cvtRuleEditorOutputPanelLocation()`
`java.lang.String` | `cvtRuleEditorOutputPanelSize()`
`java.lang.String` | `cvtRuleEditorPanelBackground()`
`java.lang.String` | `cvtRuleEditorPanelFont()`
`java.lang.String` | `cvtRuleEditorPanelForeground()`
`java.lang.String` | `cvtRuleEditorPanelLocation()`
`java.lang.String` | `cvtRuleEditorPanelSize()`
`java.lang.String` | `cvtRuleEditorSetViewerPanelLocation()`
`java.lang.String` | `cvtRuleEditorSetViewerPanelSize()`
`java.lang.String` | `cvtRuleEditorTitleBackground()`
`java.lang.String` | `cvtRuleEditorTitleFont()`
`java.lang.String` | `cvtRuleEditorTitleForeground()`
`java.lang.String` | `cvtRuleEditorXmlPanelBackground()`
`java.lang.String` | `cvtRuleEditorXmlPanelFont()`
`java.lang.String` | `cvtRuleEditorXmlPanelForeground()`
`java.lang.String` | `cvtRuleEditorXmlPanelLocation()`
`java.lang.String` | `cvtRuleEditorXmlPanelSize()`
`protected void` | `debugTrace(java.lang.String theMessage)` Log a trace message.
`java.lang.String` | `getAbleJarFiles()`
`java.lang.String` | `getAbleLookAndFeelClassName()`
`int` | `getConnectionsView()`
`java.util.TreeSet` | `getDatabaseDatabases()`
`java.util.TreeSet` | `getDatabaseDrivers()`
`java.util.TreeSet` | `getDatabaseProtocols()`
`java.util.TreeSet` | `getDatabaseSubprotocols()`
`java.lang.String` | `getEditorBeanPaletteLabels()`
`java.awt.Point` | `getEditorExceptionPanelLocation()`
`java.awt.Dimension` | `getEditorExceptionPanelSize()`
`boolean` | `getEditorExitPrompt()`
`java.awt.Color` | `getEditorPanelBackground()`
`int` | `getEditorPanelDividerLocation()`
`java.awt.Font` | `getEditorPanelFont()`
`java.awt.Color` | `getEditorPanelForeground()`
`java.awt.Point` | `getEditorPanelLocation()`
`java.awt.Dimension` | `getEditorPanelSize()`
`java.awt.Point` | `getInspectorPanelLocation()`
`java.awt.Dimension` | `getInspectorPanelSize()`
`java.lang.String` | `getPlugInJarDirectory()`
`boolean` | `getPlugInJarOn()`
`int` | `getRuleDebuggerPanelDividerLocation()`
`boolean` | `getRuleDebuggerPanelHorizontal()`
`java.awt.Point` | `getRuleDebuggerPanelLocation()`
`java.awt.Dimension` | `getRuleDebuggerPanelSize()`
`java.awt.Color` | `getRuleEditorExceptionPanelBackground()`
`java.awt.Font` | `getRuleEditorExceptionPanelFont()`
`java.awt.Color` | `getRuleEditorExceptionPanelForeground()`
`java.awt.Color` | `getRuleEditorHelpPanelBackground()`
`java.awt.Color` | `getRuleEditorHelpPanelForeground()`
`java.awt.Point` | `getRuleEditorHelpPanelLocation()`
`java.awt.Dimension` | `getRuleEditorHelpPanelSize()`
`java.awt.Color` | `getRuleEditorOutputPanelBackground()`
`java.awt.Font` | `getRuleEditorOutputPanelFont()`
`java.awt.Color` | `getRuleEditorOutputPanelForeground()`
`java.awt.Point` | `getRuleEditorOutputPanelLocation()`
`java.awt.Dimension` | `getRuleEditorOutputPanelSize()`
`java.awt.Color` | `getRuleEditorPanelBackground()`
`java.awt.Font` | `getRuleEditorPanelFont()`
`java.awt.Color` | `getRuleEditorPanelForeground()`
`java.awt.Point` | `getRuleEditorPanelLocation()`
`java.awt.Dimension` | `getRuleEditorPanelSize()`
`java.awt.Point` | `getRuleEditorSetViewerPanelLocation()`
`java.awt.Dimension` | `getRuleEditorSetViewerPanelSize()`
`java.awt.Color` | `getRuleEditorTitleBackground()`
`java.awt.Font` | `getRuleEditorTitleFont()`
`java.awt.Color` | `getRuleEditorTitleForeground()`
`java.awt.Color` | `getRuleEditorXmlPanelBackground()`
`java.awt.Font` | `getRuleEditorXmlPanelFont()`
`java.awt.Color` | `getRuleEditorXmlPanelForeground()`
`java.awt.Point` | `getRuleEditorXmlPanelLocation()`
`java.awt.Dimension` | `getRuleEditorXmlPanelSize()`
`java.lang.String` | `getTextEditor()`
`void` | `readPropertiesFile()` Load up the current set of working preferences from a physical properties file.
`void` | `setAbleJarFiles(java.lang.String theValue)`
`void` | `setAbleLookAndFeelClassName(java.lang.String theName)`
`void` | `setConnectionsView(int theValue)`
`void` | `setConnectionsView(java.lang.String theValue)`
`void` | `setDatabaseDatabases(java.util.Collection theValue)`
`void` | `setDatabaseDrivers(java.util.Collection theValue)`
`void` | `setDatabaseProtocols(java.util.Collection theValue)`
`void` | `setDatabaseSubprotocols(java.util.Collection theValue)`
`void` | `setEditorBeanPaletteLabels(java.lang.String theLabels)`
`void` | `setEditorExceptionPanelLocation(java.awt.Point theValue)`
`void` | `setEditorExceptionPanelLocation(java.lang.String theValue)`
`void` | `setEditorExceptionPanelSize(java.awt.Dimension theValue)`
`void` | `setEditorExceptionPanelSize(java.lang.String theValue)`
`void` | `setEditorExitPrompt(boolean theValue)`
`void` | `setEditorExitPrompt(java.lang.String theValue)`
`void` | `setEditorPanelBackground(java.awt.Color theValue)`
`void` | `setEditorPanelBackground(java.lang.String theValue)`
`void` | `setEditorPanelDividerLocation(int theValue)`
`void` | `setEditorPanelDividerLocation(java.lang.String theValue)`
`void` | `setEditorPanelFont(java.awt.Font theValue)`
`void` | `setEditorPanelFont(java.lang.String theValue)`
`void` | `setEditorPanelForeground(java.awt.Color theValue)`
`void` | `setEditorPanelForeground(java.lang.String theValue)`
`void` | `setEditorPanelLocation(java.awt.Point theValue)`
`void` | `setEditorPanelLocation(java.lang.String theValue)`
`void` | `setEditorPanelSize(java.awt.Dimension theValue)`
`void` | `setEditorPanelSize(java.lang.String theValue)`
`void` | `setInspectorPanelLocation(java.awt.Point theValue)`
`void` | `setInspectorPanelLocation(java.lang.String theValue)`
`void` | `setInspectorPanelSize(java.awt.Dimension theValue)`
`void` | `setInspectorPanelSize(java.lang.String theValue)`
`void` | `setPlugInJarDirectory(java.lang.String theValue)`
`void` | `setPlugInJarOn(boolean theValue)`
`void` | `setPlugInJarOn(java.lang.String theValue)`
`void` | `setRuleDebuggerPanelDividerLocation(int theValue)`
`void` | `setRuleDebuggerPanelDividerLocation(java.lang.String theValue)`
`void` | `setRuleDebuggerPanelHorizontal(boolean theValue)`
`void` | `setRuleDebuggerPanelHorizontal(java.lang.String theValue)`
`void` | `setRuleDebuggerPanelLocation(java.awt.Point theValue)`
`void` | `setRuleDebuggerPanelLocation(java.lang.String theValue)`
`void` | `setRuleDebuggerPanelSize(java.awt.Dimension theValue)`
`void` | `setRuleDebuggerPanelSize(java.lang.String theValue)`
`void` | `setRuleEditorExceptionPanelBackground(java.awt.Color theValue)`
`void` | `setRuleEditorExceptionPanelBackground(java.lang.String theValue)`
`void` | `setRuleEditorExceptionPanelFont(java.awt.Font theValue)`
`void` | `setRuleEditorExceptionPanelFont(java.lang.String theValue)`
`void` | `setRuleEditorExceptionPanelForeground(java.awt.Color theValue)`
`void` | `setRuleEditorExceptionPanelForeground(java.lang.String theValue)`
`void` | `setRuleEditorHelpPanelBackground(java.awt.Color theValue)`
`void` | `setRuleEditorHelpPanelBackground(java.lang.String theValue)`
`void` | `setRuleEditorHelpPanelForeground(java.awt.Color theValue)`
`void` | `setRuleEditorHelpPanelForeground(java.lang.String theValue)`
`void` | `setRuleEditorHelpPanelLocation(java.awt.Point theValue)`
`void` | `setRuleEditorHelpPanelLocation(java.lang.String theValue)`
`void` | `setRuleEditorHelpPanelSize(java.awt.Dimension theValue)`
`void` | `setRuleEditorHelpPanelSize(java.lang.String theValue)`
`void` | `setRuleEditorOutputPanelBackground(java.awt.Color theValue)`
`void` | `setRuleEditorOutputPanelBackground(java.lang.String theValue)`
`void` | `setRuleEditorOutputPanelFont(java.awt.Font theValue)`
`void` | `setRuleEditorOutputPanelFont(java.lang.String theValue)`
`void` | `setRuleEditorOutputPanelForeground(java.awt.Color theValue)`
`void` | `setRuleEditorOutputPanelForeground(java.lang.String theValue)`
`void` | `setRuleEditorOutputPanelLocation(java.awt.Point theValue)`
`void` | `setRuleEditorOutputPanelLocation(java.lang.String theValue)`
`void` | `setRuleEditorOutputPanelSize(java.awt.Dimension theValue)`
`void` | `setRuleEditorOutputPanelSize(java.lang.String theValue)`
`void` | `setRuleEditorPanelBackground(java.awt.Color theValue)`
`void` | `setRuleEditorPanelBackground(java.lang.String theValue)`
`void` | `setRuleEditorPanelFont(java.awt.Font theValue)`
`void` | `setRuleEditorPanelFont(java.lang.String theValue)`
`void` | `setRuleEditorPanelForeground(java.awt.Color theValue)`
`void` | `setRuleEditorPanelForeground(java.lang.String theValue)`
`void` | `setRuleEditorPanelLocation(java.awt.Point theValue)`
`void` | `setRuleEditorPanelLocation(java.lang.String theValue)`
`void` | `setRuleEditorPanelSize(java.awt.Dimension theValue)`
`void` | `setRuleEditorPanelSize(java.lang.String theValue)`
`void` | `setRuleEditorSetViewerPanelLocation(java.awt.Point theValue)`
`void` | `setRuleEditorSetViewerPanelLocation(java.lang.String theValue)`
`void` | `setRuleEditorSetViewerPanelSize(java.awt.Dimension theValue)`
`void` | `setRuleEditorSetViewerPanelSize(java.lang.String theValue)`
`void` | `setRuleEditorTitleBackground(java.awt.Color theValue)`
`void` | `setRuleEditorTitleBackground(java.lang.String theValue)`
`void` | `setRuleEditorTitleFont(java.awt.Font theValue)`
`void` | `setRuleEditorTitleFont(java.lang.String theValue)`
`void` | `setRuleEditorTitleForeground(java.awt.Color theValue)`
`void` | `setRuleEditorTitleForeground(java.lang.String theValue)`
`void` | `setRuleEditorXmlPanelBackground(java.awt.Color theValue)`
`void` | `setRuleEditorXmlPanelBackground(java.lang.String theValue)`
`void` | `setRuleEditorXmlPanelFont(java.awt.Font theValue)`
`void` | `setRuleEditorXmlPanelFont(java.lang.String theValue)`
`void` | `setRuleEditorXmlPanelForeground(java.awt.Color theValue)`
`void` | `setRuleEditorXmlPanelForeground(java.lang.String theValue)`
`void` | `setRuleEditorXmlPanelLocation(java.awt.Point theValue)`
`void` | `setRuleEditorXmlPanelLocation(java.lang.String theValue)`
`void` | `setRuleEditorXmlPanelSize(java.awt.Dimension theValue)`
`void` | `setRuleEditorXmlPanelSize(java.lang.String theValue)`
`void` | `setTextEditor(java.lang.String theEditor)`
`void` | `updatePreferenceVariablesAndWritePropertiesFile(AbleGuiPreferences theNewPreferences)` Change all current working preferences to the values contained in the specified preferences object.
`void` | `writePropertiesFile()` Save the current set of working preferences to a physical properties file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbleGuiPreferences

    public AbleGuiPreferences()

  Instantiate all preferences from a Properties file read from disk.

  We look for this package's properties file first in the directory as specified by the system property contained in the variable Able.PropertiesFileDirectoryProperty and if the named property isn't set, then in the user's home directory. If there is no properties file in either location, a default properties file is created.

Method Detail

### getAbleJarFiles

    public final java.lang.String getAbleJarFiles()

### setAbleJarFiles

    public final void setAbleJarFiles(java.lang.String theValue)

### getPlugInJarDirectory

    public final java.lang.String getPlugInJarDirectory()

### setPlugInJarDirectory

    public final void setPlugInJarDirectory(java.lang.String theValue)

### getDatabaseDrivers

    public final java.util.TreeSet getDatabaseDrivers()

### setDatabaseDrivers

    public final void setDatabaseDrivers(java.util.Collection theValue)

### getDatabaseProtocols

    public final java.util.TreeSet getDatabaseProtocols()

### setDatabaseProtocols

    public final void setDatabaseProtocols(java.util.Collection theValue)

### getDatabaseSubprotocols

    public final java.util.TreeSet getDatabaseSubprotocols()

### setDatabaseSubprotocols

    public final void setDatabaseSubprotocols(java.util.Collection theValue)

### getDatabaseDatabases

    public final java.util.TreeSet getDatabaseDatabases()

### setDatabaseDatabases

    public final void setDatabaseDatabases(java.util.Collection theValue)

### getEditorPanelBackground

    public java.awt.Color getEditorPanelBackground()

### cvtEditorPanelBackground

    public java.lang.String cvtEditorPanelBackground()

### setEditorPanelBackground

    public void setEditorPanelBackground(java.awt.Color theValue)

### setEditorPanelBackground

    public void setEditorPanelBackground(java.lang.String theValue)

### getEditorPanelForeground

    public java.awt.Color getEditorPanelForeground()

### cvtEditorPanelForeground

    public java.lang.String cvtEditorPanelForeground()

### setEditorPanelForeground

    public void setEditorPanelForeground(java.awt.Color theValue)

### setEditorPanelForeground

    public void setEditorPanelForeground(java.lang.String theValue)

### getEditorPanelFont

    public java.awt.Font getEditorPanelFont()

### cvtEditorPanelFont

    public java.lang.String cvtEditorPanelFont()

### setEditorPanelFont

    public void setEditorPanelFont(java.awt.Font theValue)

### setEditorPanelFont

    public void setEditorPanelFont(java.lang.String theValue)

### getEditorPanelLocation

    public java.awt.Point getEditorPanelLocation()

### cvtEditorPanelLocation

    public java.lang.String cvtEditorPanelLocation()

### setEditorPanelLocation

    public void setEditorPanelLocation(java.awt.Point theValue)

### setEditorPanelLocation

    public void setEditorPanelLocation(java.lang.String theValue)

### getEditorPanelSize

    public java.awt.Dimension getEditorPanelSize()

### cvtEditorPanelSize

    public java.lang.String cvtEditorPanelSize()

### setEditorPanelSize

    public void setEditorPanelSize(java.awt.Dimension theValue)

### setEditorPanelSize

    public void setEditorPanelSize(java.lang.String theValue)

### getEditorPanelDividerLocation

    public int getEditorPanelDividerLocation()

### cvtEditorPanelDividerLocation

    public java.lang.String cvtEditorPanelDividerLocation()

### setEditorPanelDividerLocation

    public void setEditorPanelDividerLocation(int theValue)

### setEditorPanelDividerLocation

    public void setEditorPanelDividerLocation(java.lang.String theValue)

### getConnectionsView

    public int getConnectionsView()

### cvtConnectionsView

    public java.lang.String cvtConnectionsView()

### setConnectionsView

    public void setConnectionsView(int theValue)

### setConnectionsView

    public void setConnectionsView(java.lang.String theValue)

### getEditorExitPrompt

    public boolean getEditorExitPrompt()

### cvtEditorExitPrompt

    public java.lang.String cvtEditorExitPrompt()

### setEditorExitPrompt

    public void setEditorExitPrompt(boolean theValue)

### setEditorExitPrompt

    public void setEditorExitPrompt(java.lang.String theValue)

### getPlugInJarOn

    public boolean getPlugInJarOn()

### cvtPlugInJarOn

    public java.lang.String cvtPlugInJarOn()

### setPlugInJarOn

    public void setPlugInJarOn(boolean theValue)

### setPlugInJarOn

    public void setPlugInJarOn(java.lang.String theValue)

### getEditorBeanPaletteLabels

    public java.lang.String getEditorBeanPaletteLabels()

### setEditorBeanPaletteLabels

    public void setEditorBeanPaletteLabels(java.lang.String theLabels)

### getAbleLookAndFeelClassName

    public java.lang.String getAbleLookAndFeelClassName()

### setAbleLookAndFeelClassName

    public void setAbleLookAndFeelClassName(java.lang.String theName)

### getTextEditor

    public java.lang.String getTextEditor()

### setTextEditor

    public void setTextEditor(java.lang.String theEditor)

### getRuleEditorPanelBackground

    public java.awt.Color getRuleEditorPanelBackground()

### cvtRuleEditorPanelBackground

    public java.lang.String cvtRuleEditorPanelBackground()

### setRuleEditorPanelBackground

    public void setRuleEditorPanelBackground(java.awt.Color theValue)

### setRuleEditorPanelBackground

    public void setRuleEditorPanelBackground(java.lang.String theValue)

### getRuleEditorPanelForeground

    public java.awt.Color getRuleEditorPanelForeground()

### cvtRuleEditorPanelForeground

    public java.lang.String cvtRuleEditorPanelForeground()

### setRuleEditorPanelForeground

    public void setRuleEditorPanelForeground(java.awt.Color theValue)

### setRuleEditorPanelForeground

    public void setRuleEditorPanelForeground(java.lang.String theValue)

### getRuleEditorPanelFont

    public java.awt.Font getRuleEditorPanelFont()

### cvtRuleEditorPanelFont

    public java.lang.String cvtRuleEditorPanelFont()

### setRuleEditorPanelFont

    public void setRuleEditorPanelFont(java.awt.Font theValue)

### setRuleEditorPanelFont

    public void setRuleEditorPanelFont(java.lang.String theValue)

### getRuleEditorPanelLocation

    public java.awt.Point getRuleEditorPanelLocation()

### cvtRuleEditorPanelLocation

    public java.lang.String cvtRuleEditorPanelLocation()

### setRuleEditorPanelLocation

    public void setRuleEditorPanelLocation(java.awt.Point theValue)

### setRuleEditorPanelLocation

    public void setRuleEditorPanelLocation(java.lang.String theValue)

### getRuleEditorPanelSize

    public java.awt.Dimension getRuleEditorPanelSize()

### cvtRuleEditorPanelSize

    public java.lang.String cvtRuleEditorPanelSize()

### setRuleEditorPanelSize

    public void setRuleEditorPanelSize(java.awt.Dimension theValue)

### setRuleEditorPanelSize

    public void setRuleEditorPanelSize(java.lang.String theValue)

### getRuleEditorTitleBackground

    public java.awt.Color getRuleEditorTitleBackground()

### cvtRuleEditorTitleBackground

    public java.lang.String cvtRuleEditorTitleBackground()

### setRuleEditorTitleBackground

    public void setRuleEditorTitleBackground(java.awt.Color theValue)

### setRuleEditorTitleBackground

    public void setRuleEditorTitleBackground(java.lang.String theValue)

### getRuleEditorTitleForeground

    public java.awt.Color getRuleEditorTitleForeground()

### cvtRuleEditorTitleForeground

    public java.lang.String cvtRuleEditorTitleForeground()

### setRuleEditorTitleForeground

    public void setRuleEditorTitleForeground(java.awt.Color theValue)

### setRuleEditorTitleForeground

    public void setRuleEditorTitleForeground(java.lang.String theValue)

### getRuleEditorTitleFont

    public java.awt.Font getRuleEditorTitleFont()

### cvtRuleEditorTitleFont

    public java.lang.String cvtRuleEditorTitleFont()

### setRuleEditorTitleFont

    public void setRuleEditorTitleFont(java.awt.Font theValue)

### setRuleEditorTitleFont

    public void setRuleEditorTitleFont(java.lang.String theValue)

### getRuleEditorExceptionPanelBackground

    public java.awt.Color getRuleEditorExceptionPanelBackground()

### cvtRuleEditorExceptionPanelBackground

    public java.lang.String cvtRuleEditorExceptionPanelBackground()

### setRuleEditorExceptionPanelBackground

    public void setRuleEditorExceptionPanelBackground(java.awt.Color theValue)

### setRuleEditorExceptionPanelBackground

    public void setRuleEditorExceptionPanelBackground(java.lang.String theValue)

### getRuleEditorExceptionPanelForeground

    public java.awt.Color getRuleEditorExceptionPanelForeground()

### cvtRuleEditorExceptionPanelForeground

    public java.lang.String cvtRuleEditorExceptionPanelForeground()

### setRuleEditorExceptionPanelForeground

    public void setRuleEditorExceptionPanelForeground(java.awt.Color theValue)

### setRuleEditorExceptionPanelForeground

    public void setRuleEditorExceptionPanelForeground(java.lang.String theValue)

### getRuleEditorExceptionPanelFont

    public java.awt.Font getRuleEditorExceptionPanelFont()

### cvtRuleEditorExceptionPanelFont

    public java.lang.String cvtRuleEditorExceptionPanelFont()

### setRuleEditorExceptionPanelFont

    public void setRuleEditorExceptionPanelFont(java.awt.Font theValue)

### setRuleEditorExceptionPanelFont

    public void setRuleEditorExceptionPanelFont(java.lang.String theValue)

### getEditorExceptionPanelLocation

    public java.awt.Point getEditorExceptionPanelLocation()

### cvtEditorExceptionPanelLocation

    public java.lang.String cvtEditorExceptionPanelLocation()

### setEditorExceptionPanelLocation

    public void setEditorExceptionPanelLocation(java.awt.Point theValue)

### setEditorExceptionPanelLocation

    public void setEditorExceptionPanelLocation(java.lang.String theValue)

### getEditorExceptionPanelSize

    public java.awt.Dimension getEditorExceptionPanelSize()

### cvtEditorExceptionPanelSize

    public java.lang.String cvtEditorExceptionPanelSize()

### setEditorExceptionPanelSize

    public void setEditorExceptionPanelSize(java.awt.Dimension theValue)

### setEditorExceptionPanelSize

    public void setEditorExceptionPanelSize(java.lang.String theValue)

### getRuleEditorHelpPanelBackground

    public java.awt.Color getRuleEditorHelpPanelBackground()

### cvtRuleEditorHelpPanelBackground

    public java.lang.String cvtRuleEditorHelpPanelBackground()

### setRuleEditorHelpPanelBackground

    public void setRuleEditorHelpPanelBackground(java.awt.Color theValue)

### setRuleEditorHelpPanelBackground

    public void setRuleEditorHelpPanelBackground(java.lang.String theValue)

### getRuleEditorHelpPanelForeground

    public java.awt.Color getRuleEditorHelpPanelForeground()

### cvtRuleEditorHelpPanelForeground

    public java.lang.String cvtRuleEditorHelpPanelForeground()

### setRuleEditorHelpPanelForeground

    public void setRuleEditorHelpPanelForeground(java.awt.Color theValue)

### setRuleEditorHelpPanelForeground

    public void setRuleEditorHelpPanelForeground(java.lang.String theValue)

### getRuleEditorHelpPanelLocation

    public java.awt.Point getRuleEditorHelpPanelLocation()

### cvtRuleEditorHelpPanelLocation

    public java.lang.String cvtRuleEditorHelpPanelLocation()

### setRuleEditorHelpPanelLocation

    public void setRuleEditorHelpPanelLocation(java.awt.Point theValue)

### setRuleEditorHelpPanelLocation

    public void setRuleEditorHelpPanelLocation(java.lang.String theValue)

### getRuleEditorHelpPanelSize

    public java.awt.Dimension getRuleEditorHelpPanelSize()

### cvtRuleEditorHelpPanelSize

    public java.lang.String cvtRuleEditorHelpPanelSize()

### setRuleEditorHelpPanelSize

    public void setRuleEditorHelpPanelSize(java.awt.Dimension theValue)

### setRuleEditorHelpPanelSize

    public void setRuleEditorHelpPanelSize(java.lang.String theValue)

### getRuleEditorOutputPanelBackground

    public java.awt.Color getRuleEditorOutputPanelBackground()

### cvtRuleEditorOutputPanelBackground

    public java.lang.String cvtRuleEditorOutputPanelBackground()

### setRuleEditorOutputPanelBackground

    public void setRuleEditorOutputPanelBackground(java.awt.Color theValue)

### setRuleEditorOutputPanelBackground

    public void setRuleEditorOutputPanelBackground(java.lang.String theValue)

### getRuleEditorOutputPanelForeground

    public java.awt.Color getRuleEditorOutputPanelForeground()

### cvtRuleEditorOutputPanelForeground

    public java.lang.String cvtRuleEditorOutputPanelForeground()

### setRuleEditorOutputPanelForeground

    public void setRuleEditorOutputPanelForeground(java.awt.Color theValue)

### setRuleEditorOutputPanelForeground

    public void setRuleEditorOutputPanelForeground(java.lang.String theValue)

### getRuleEditorOutputPanelFont

    public java.awt.Font getRuleEditorOutputPanelFont()

### cvtRuleEditorOutputPanelFont

    public java.lang.String cvtRuleEditorOutputPanelFont()

### setRuleEditorOutputPanelFont

    public void setRuleEditorOutputPanelFont(java.awt.Font theValue)

### setRuleEditorOutputPanelFont

    public void setRuleEditorOutputPanelFont(java.lang.String theValue)

### getRuleEditorOutputPanelLocation

    public java.awt.Point getRuleEditorOutputPanelLocation()

### cvtRuleEditorOutputPanelLocation

    public java.lang.String cvtRuleEditorOutputPanelLocation()

### setRuleEditorOutputPanelLocation

    public void setRuleEditorOutputPanelLocation(java.awt.Point theValue)

### setRuleEditorOutputPanelLocation

    public void setRuleEditorOutputPanelLocation(java.lang.String theValue)

### getRuleEditorOutputPanelSize

    public java.awt.Dimension getRuleEditorOutputPanelSize()

### cvtRuleEditorOutputPanelSize

    public java.lang.String cvtRuleEditorOutputPanelSize()

### setRuleEditorOutputPanelSize

    public void setRuleEditorOutputPanelSize(java.awt.Dimension theValue)

### setRuleEditorOutputPanelSize

    public void setRuleEditorOutputPanelSize(java.lang.String theValue)

### getRuleEditorSetViewerPanelLocation

    public java.awt.Point getRuleEditorSetViewerPanelLocation()

### cvtRuleEditorSetViewerPanelLocation

    public java.lang.String cvtRuleEditorSetViewerPanelLocation()

### setRuleEditorSetViewerPanelLocation

    public void setRuleEditorSetViewerPanelLocation(java.awt.Point theValue)

### setRuleEditorSetViewerPanelLocation

    public void setRuleEditorSetViewerPanelLocation(java.lang.String theValue)

### getRuleEditorSetViewerPanelSize

    public java.awt.Dimension getRuleEditorSetViewerPanelSize()

### cvtRuleEditorSetViewerPanelSize

    public java.lang.String cvtRuleEditorSetViewerPanelSize()

### setRuleEditorSetViewerPanelSize

    public void setRuleEditorSetViewerPanelSize(java.awt.Dimension theValue)

### setRuleEditorSetViewerPanelSize

    public void setRuleEditorSetViewerPanelSize(java.lang.String theValue)

### getRuleEditorXmlPanelBackground

    public java.awt.Color getRuleEditorXmlPanelBackground()

### cvtRuleEditorXmlPanelBackground

    public java.lang.String cvtRuleEditorXmlPanelBackground()

### setRuleEditorXmlPanelBackground

    public void setRuleEditorXmlPanelBackground(java.awt.Color theValue)

### setRuleEditorXmlPanelBackground

    public void setRuleEditorXmlPanelBackground(java.lang.String theValue)

### getRuleEditorXmlPanelForeground

    public java.awt.Color getRuleEditorXmlPanelForeground()

### cvtRuleEditorXmlPanelForeground

    public java.lang.String cvtRuleEditorXmlPanelForeground()

### setRuleEditorXmlPanelForeground

    public void setRuleEditorXmlPanelForeground(java.awt.Color theValue)

### setRuleEditorXmlPanelForeground

    public void setRuleEditorXmlPanelForeground(java.lang.String theValue)

### getRuleEditorXmlPanelFont

    public java.awt.Font getRuleEditorXmlPanelFont()

### cvtRuleEditorXmlPanelFont

    public java.lang.String cvtRuleEditorXmlPanelFont()

### setRuleEditorXmlPanelFont

    public void setRuleEditorXmlPanelFont(java.awt.Font theValue)

### setRuleEditorXmlPanelFont

    public void setRuleEditorXmlPanelFont(java.lang.String theValue)

### getRuleEditorXmlPanelLocation

    public java.awt.Point getRuleEditorXmlPanelLocation()

### cvtRuleEditorXmlPanelLocation

    public java.lang.String cvtRuleEditorXmlPanelLocation()

### setRuleEditorXmlPanelLocation

    public void setRuleEditorXmlPanelLocation(java.awt.Point theValue)

### setRuleEditorXmlPanelLocation

    public void setRuleEditorXmlPanelLocation(java.lang.String theValue)

### getRuleEditorXmlPanelSize

    public java.awt.Dimension getRuleEditorXmlPanelSize()

### cvtRuleEditorXmlPanelSize

    public java.lang.String cvtRuleEditorXmlPanelSize()

### setRuleEditorXmlPanelSize

    public void setRuleEditorXmlPanelSize(java.awt.Dimension theValue)

### setRuleEditorXmlPanelSize

    public void setRuleEditorXmlPanelSize(java.lang.String theValue)

### getRuleDebuggerPanelLocation

    public java.awt.Point getRuleDebuggerPanelLocation()

### cvtRuleDebuggerPanelLocation

    public java.lang.String cvtRuleDebuggerPanelLocation()

### setRuleDebuggerPanelLocation

    public void setRuleDebuggerPanelLocation(java.awt.Point theValue)

### setRuleDebuggerPanelLocation

    public void setRuleDebuggerPanelLocation(java.lang.String theValue)

### getRuleDebuggerPanelSize

    public java.awt.Dimension getRuleDebuggerPanelSize()

### cvtRuleDebuggerPanelSize

    public java.lang.String cvtRuleDebuggerPanelSize()

### setRuleDebuggerPanelSize

    public void setRuleDebuggerPanelSize(java.awt.Dimension theValue)

### setRuleDebuggerPanelSize

    public void setRuleDebuggerPanelSize(java.lang.String theValue)

### getRuleDebuggerPanelDividerLocation

    public int getRuleDebuggerPanelDividerLocation()

### cvtRuleDebuggerPanelDividerLocation

    public java.lang.String cvtRuleDebuggerPanelDividerLocation()

### setRuleDebuggerPanelDividerLocation

    public void setRuleDebuggerPanelDividerLocation(int theValue)

### setRuleDebuggerPanelDividerLocation

    public void setRuleDebuggerPanelDividerLocation(java.lang.String theValue)

### getRuleDebuggerPanelHorizontal

    public boolean getRuleDebuggerPanelHorizontal()

### cvtRuleDebuggerPanelHorizontal

    public java.lang.String cvtRuleDebuggerPanelHorizontal()

### setRuleDebuggerPanelHorizontal

    public void setRuleDebuggerPanelHorizontal(boolean theValue)

### setRuleDebuggerPanelHorizontal

    public void setRuleDebuggerPanelHorizontal(java.lang.String theValue)

### getInspectorPanelLocation

    public java.awt.Point getInspectorPanelLocation()

### cvtInspectorPanelLocation

    public java.lang.String cvtInspectorPanelLocation()

### setInspectorPanelLocation

    public void setInspectorPanelLocation(java.awt.Point theValue)

### setInspectorPanelLocation

    public void setInspectorPanelLocation(java.lang.String theValue)

### getInspectorPanelSize

    public java.awt.Dimension getInspectorPanelSize()

### cvtInspectorPanelSize

    public java.lang.String cvtInspectorPanelSize()

### setInspectorPanelSize

    public void setInspectorPanelSize(java.awt.Dimension theValue)

### setInspectorPanelSize

    public void setInspectorPanelSize(java.lang.String theValue)

### readPropertiesFile

    public void readPropertiesFile()

  Load up the current set of working preferences from a physical properties file.

  See Also:
    `writePropertiesFile()`

### writePropertiesFile

    public void writePropertiesFile()

  Save the current set of working preferences to a physical properties file.

  See Also:
    `readPropertiesFile()`

### updatePreferenceVariablesAndWritePropertiesFile

    public void updatePreferenceVariablesAndWritePropertiesFile(AbleGuiPreferences theNewPreferences)

  Change all current working preferences to the values contained in the specified preferences object. Note that a side-effect is that the new preferences are written to disk!

  Parameters:
    `theNewPreferences` - An preferences object containing replacement values for the current set of working preferences.

### debugTrace

    protected void debugTrace(java.lang.String theMessage)

  Log a trace message.

  Parameters:
    `theMessage` - A String containing text to be traced.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005